> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sunoapi.org/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取WAV转换详情

> 获取WAV格式转换任务的详细信息，包括状态和下载链接。

### 状态说明

* PENDING: 任务正在等待处理
* SUCCESS: WAV转换成功完成
* CREATE\_TASK\_FAILED: 创建转换任务失败
* GENERATE\_WAV\_FAILED: 转换为WAV格式失败
* CALLBACK\_EXCEPTION: 回调过程中发生错误

### 开发者注意事项

* 使用此接口检查转换状态，而不必等待回调
* 当状态为SUCCESS时，响应中包含WAV文件下载URL
* 响应中包含任务创建和完成时间


## OpenAPI

````yaml cn/suno-api/suno-api-cn.json GET /api/v1/wav/record-info
openapi: 3.0.0
info:
  title: intro
  description: 这是生成音频的API接口文档
  version: 1.0.0
  contact:
    name: 技术支持
    email: support@sunoapi.org
servers:
  - url: https://api.sunoapi.org
    description: API 服务器
security:
  - BearerAuth: []
tags:
  - name: Music Generation
    description: 用于创建和管理音乐生成任务的接口
  - name: Lyrics Generation
    description: 用于歌词生成和管理的接口
  - name: WAV Conversion
    description: 用于将音乐转换为WAV格式的接口
  - name: Vocal Removal
    description: 用于从音乐轨道中移除人声的接口
  - name: Music Video Generation
    description: 用于生成MP4视频的接口
  - name: Account Management
    description: 用于账户和积分管理的接口
paths:
  /api/v1/wav/record-info:
    get:
      summary: 获取WAV转换详情
      operationId: get-wav-conversion-details
      parameters:
        - in: query
          name: taskId
          description: 从转换为WAV格式接口返回的任务ID。用于获取转换过程的详细信息，包括状态和可用的下载URL。
          required: true
          example: 988e****c8d3
          schema:
            type: string
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      code:
                        type: integer
                        enum:
                          - 200
                          - 400
                          - 401
                          - 404
                          - 405
                          - 409
                          - 413
                          - 429
                          - 430
                          - 455
                          - 500
                        description: |-
                          # 状态码

                          - ✅ 200 - 请求成功
                          - ⚠️ 400 - 无效参数
                          - ⚠️ 401 - 未授权访问
                          - ⚠️ 404 - 无效的请求方法或路径
                          - ⚠️ 405 - 超出速率限制
                          - ⚠️ 409 - 冲突 - WAV记录已存在
                          - ⚠️ 413 - 主题或提示词过长
                          - ⚠️ 429 - 积分不足
                          - ⚠️ 430 - 您的调用频率过高，请稍后重试
                          - ⚠️ 455 - 系统维护中
                          - ❌ 500 - 服务器错误
                      msg:
                        type: string
                        description: Error message when code != 200
                        example: success
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          taskId:
                            type: string
                            description: 任务ID
                          musicId:
                            type: string
                            description: 被转换为WAV格式的源音乐音轨ID
                          musicIndex:
                            type: integer
                            description: 歌曲索引0或者1
                            example: 0
                          callbackUrl:
                            type: string
                            description: 转换请求中提供的回调URL
                          completeTime:
                            type: string
                            description: 转换完成的时间戳
                            format: date-time
                          response:
                            type: object
                            properties:
                              audioWavUrl:
                                type: string
                                description: WAV格式音频文件URL
                          successFlag:
                            type: string
                            description: 任务状态
                            enum:
                              - PENDING
                              - SUCCESS
                              - CREATE_TASK_FAILED
                              - GENERATE_WAV_FAILED
                              - CALLBACK_EXCEPTION
                          createTime:
                            type: string
                            description: 创建时间
                            format: date-time
                          errorCode:
                            type: number
                            description: 错误码，仅当任务失败时有值
                          errorMessage:
                            type: string
                            description: 错误信息，仅当任务失败时有值
              example:
                code: 200
                msg: success
                data:
                  taskId: 988e****c8d3
                  musicId: 8551****662c
                  musicIndex: 0
                  callbackUrl: https://api.example.com/callback
                  completeTime: '2025-01-01 00:10:00'
                  response:
                    audioWavUrl: https://example.com/s/04e6****e727.wav
                  successFlag: SUCCESS
                  createTime: '2025-01-01 00:00:00'
                  errorCode: null
                  errorMessage: null
        '500':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: 服务器异常
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        # 🔑 API 认证说明

        所有接口都需要通过 Bearer Token 方式进行认证。

        ## 获取 API Key

        1. 访问 [API Key 管理页面](https://sunoapi.org/api-key) 获取您的 API Key

        ## 使用方式

        在请求头中添加：

        ```
        Authorization: Bearer YOUR_API_KEY
        ```

        > **⚠️ 注意：**
        > - 请妥善保管您的 API Key，不要泄露给他人
        > - 如果怀疑 API Key 泄露，请立即在管理页面重置

````